Jalama - Bug #988

doPost params swapped in path from
jlcommandproxy.cpp->jljvmregistry.cpp->jljvmregistrybinding.java
02/12/2003 03:21 PM - Matthew Brooke

Status: Resolved Start date: 02/12/2003
Priority: Normal Due date:

Assignee: John Harris % Done: 0%
Category: jalama-general Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 988

Description

1) currently, the "command" and "params" args for doPost() get passed in the
wrong order from jlcommandproxy.cpp to jlivmregistry.cpp; the latter expects
(command,params), but gets (params,command).

However, the whole system works OK, because the params get passed in the wrong
order again, from jlivmregistry.cpp to jlivmregistrybinding.java :-)

These classes should be changed so correct order (command,params) is maintained
throughout.

History

#1 - 03/12/2003 03:03 PM - John Harris

Fixed this so that all doPost methods take command then parameters.

#2 - 03/13/2003 03:46 PM - John Harris

Fixed this, works on all platforms with all renderers.

#3 - 03/13/2003 03:46 PM - John Harris
closing the bug.

#4 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 988
